AMR(1)

NAME
amr - automake replacement

SYNOPSIS
amr [-acmrshv]

DESCRIPTION
AMR allows you to autogenerate sample/final Makefiles. This allows you to maintain all the makefiles of your project in a simple and centralized way. You'll probably need to use AMR for the initial port to acr for you applications.

AMR is on early and experimental stage. So you'll probably find a lot of problems, bugs and missfeatures. Please feel free to documentate, and send patches and ideas for it.

USAGE
AMR allows you to create different kind autogenerated ACR files: configure.amr, configure.acr, Makefile.acr.

-a  Scan source code files recursively from the current directory and generates a configure.amr. Is recommended to run this command for each directory where you have source files. (acr -d)

-c  Parses the configure.amr and prints out a sample configure.acr.

-d  Reads the configure.amr and prints the directories where you'll need to run amr. You can easily automate this process in autogen.sh

-m  Parses configure.amr to generate the Makefile.acr

-s  Generate shellscripts instead of Makefiles.

-r  Show report.

-h  Show help message.

-v  Prints the version number of AMR.

SEE ALSO
acr(1) acr-cat(1) acr-wrap(1) configure.acr(5) configure.amr(5)

AUTHOR
pancake <pancake@nopcode.org>